import "./style.css"

import "virtual:uno.css"

import "@unocss/reset/tailwind.css"
import "@fontsource/roboto/latin.css"

import { sitemap } from "./site"

if (sitemap[location.host] !== false) {
  const site = sitemap[location.host] ?? location.host.replace("smartsheep.studio", "solsynth.dev")
  const url = location.protocol + "//" + site + location.pathname + location.search + location.hash

  const target = document.querySelector("#redirect-target")
  if (target) target.innerHTML = url

  setTimeout(() => window.open(url, "_self"), 5000)
} else {
  const title = document.querySelector("#title")
  if (title) {
    title.classList.replace("text-2xl", "text-xl")
    title.innerHTML = "Sorry, this service not available anymore..."
  }
  const info = document.querySelector("#redirect-info")
  if (info) {
    info.innerHTML =
      "<p>We decided sunset this service for some reasons.</p>" +
      "<p>More information please check out our official website.</p>" +
      "<p>We're sorry, but this is the final decision.</p>"
  }
}
